import java.io.FileInputStream;

public class Example10 {
  private FileInputStream fis;
  private String exceptionMessage;
  public Example10(String path) {
    try {
      this.fis = new FileInputStream (path);
    }
    catch (Exception e) {
      this.exceptionMessage = e.toString();
      for (int i=0;i<e.getStackTrace().length; i++)
      {
        this.exceptionMessage
        += "\n" + e.getStackTrace()[i];
      }
    }
  }
  public String getExceptionMessage () {
    return this.exceptionMessage;
  }
}
